FeatureKeys
Date: 2016-07-03

com.icl.saxon

## Class FeatureKeys

- java.lang.Object
- - com.icl.saxon.FeatureKeys

-     public class FeatureKeys
      extends java.lang.Object

  FeatureKeys defines a set of constants, names of Saxon configuration options which can be supplied to the TransformerFactoryImpl interface

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ALLOW_EXTERNAL_FUNCTIONS` ALLOW_EXTERNAL_FUNCTIONS must be a Boolean()
    `static java.lang.String` | `LINE_NUMBERING` LINE_NUMBERING must be a Boolean()
    `static java.lang.String` | `MESSAGE_EMITTER_CLASS` MESSAGE_EMITTER_CLASS must be the class name of an Emitter
    `static java.lang.String` | `RECOVERY_POLICY` RECOVERY_POLICY must be an Integer: Controller.RECOVER_SILENTLY, Controller.RECOVER_WITH_WARNINGS, or Controller.DO_NOT_RECOVER
    `static java.lang.String` | `SOURCE_PARSER_CLASS` SOURCE_PARSER_CLASS must be the full class name of an XMLReader
    `static java.lang.String` | `STYLE_PARSER_CLASS` STYLE_PARSER_CLASS must be the full class name of an XMLReader
    `static java.lang.String` | `TIMING` TIMING must be an Boolean()
    `static java.lang.String` | `TRACE_LISTENER` TRACE_LISTENER must be a class that implements com.icl.saxon.trace.TraceListener
    `static java.lang.String` | `TREE_MODEL` TREE_MODEL must be an Integer(): Builder.STANDARD_TREE or Builder.TINY_TREE

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FeatureKeys()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ALLOW_EXTERNAL_FUNCTIONS

          public static final java.lang.String ALLOW_EXTERNAL_FUNCTIONS

      ALLOW_EXTERNAL_FUNCTIONS must be a Boolean()
      See Also:
        Constant Field Values

    - #### TIMING

          public static final java.lang.String TIMING

      TIMING must be an Boolean()
      See Also:
        Constant Field Values

    - #### TREE_MODEL

          public static final java.lang.String TREE_MODEL

      TREE_MODEL must be an Integer(): Builder.STANDARD_TREE or Builder.TINY_TREE
      See Also:
        Constant Field Values

    - #### TRACE_LISTENER

          public static final java.lang.String TRACE_LISTENER

      TRACE_LISTENER must be a class that implements com.icl.saxon.trace.TraceListener
      See Also:
        Constant Field Values

    - #### LINE_NUMBERING

          public static final java.lang.String LINE_NUMBERING

      LINE_NUMBERING must be a Boolean()
      See Also:
        Constant Field Values

    - #### RECOVERY_POLICY

          public static final java.lang.String RECOVERY_POLICY

      RECOVERY_POLICY must be an Integer: Controller.RECOVER_SILENTLY, Controller.RECOVER_WITH_WARNINGS, or Controller.DO_NOT_RECOVER
      See Also:
        Constant Field Values

    - #### MESSAGE_EMITTER_CLASS

          public static final java.lang.String MESSAGE_EMITTER_CLASS

      MESSAGE_EMITTER_CLASS must be the class name of an Emitter
      See Also:
        Constant Field Values

    - #### SOURCE_PARSER_CLASS

          public static final java.lang.String SOURCE_PARSER_CLASS

      SOURCE_PARSER_CLASS must be the full class name of an XMLReader
      See Also:
        Constant Field Values

    - #### STYLE_PARSER_CLASS

          public static final java.lang.String STYLE_PARSER_CLASS

      STYLE_PARSER_CLASS must be the full class name of an XMLReader
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FeatureKeys

          public FeatureKeys()